#2934 closed defect (fixed)

FAT long file name padding is broken

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 4.11.2
Component: fs/fat Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

In msdos_add_file() the padding of long file names with 0xff is broken. This leads to problems on some Windows systems.

Change History (4)

comment:1 Changed on Mar 16, 2017 at 6:44:15 AM by Sebastian Huber

Owner: changed from chrisj@… to Sebastian Huber
Status: newassigned

comment:2 Changed on Mar 16, 2017 at 2:36:13 PM by Sebastian Huber <sebastian.huber@…>

In 5f8ed0d/rtems:

dosfs: Fix long file name padding

Update #2934.

comment:3 Changed on Mar 21, 2017 at 3:18:13 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 7011f26/rtems:

dosfs: Fix long file name padding

Close #2934.

comment:4 Changed on Oct 10, 2017 at 6:50:58 AM by Sebastian Huber

Component: fsfs/fat
Note: See TracTickets for help on using tickets.